import streamlit as st
from __init__ import image_chart_damage

st.set_page_config(layout="wide")

data = [{'variable': 'Aldous',
  'heroImg': 'http://localhost:8501/app/heroes/Aldous.png',
  'playerLvlData': [{'player_level': 1,
    'value': 264.0,
    'skillImg': 'http://localhost:8501/app/heroes/Aldous.png'},
   {'player_level': 2,
    'value': 274.0,
    'skillImg': 'http://localhost:8501/app/heroes/Aldous.png'},
   {'player_level': 3,
    'value': 285.0,
    'skillImg': 'http://localhost:8501/app/heroes/Aldous.png'},
   {'player_level': 4,
    'value': 296.0,
    'skillImg': 'http://localhost:8501/app/heroes/Aldous.png'},
   {'player_level': 5,
    'value': 307.0,
    'skillImg': 'http://localhost:8501/app/heroes/Aldous.png'}],
  'stat': {'id': 9,
   '25%': 274.0,
   '50%': 285.0,
   '75%': 296.0,
   'max': 307.0,
   'mean': 285.2,
   'min': 264.0,
   'std': 17.08}},
 {'variable': 'Alucard',
  'heroImg': 'http://localhost:8501/app/heroes/Alucard.png',
  'playerLvlData': [{'player_level': 1,
    'value': 270.0,
    'skillImg': 'http://localhost:8501/app/heroes/Alucard.png'},
   {'player_level': 2,
    'value': 270.0,
    'skillImg': 'http://localhost:8501/app/heroes/Alucard.png'},
   {'player_level': 3,
    'value': 270.0,
    'skillImg': 'http://localhost:8501/app/heroes/Alucard.png'},
   {'player_level': 4,
    'value': 270.0,
    'skillImg': 'http://localhost:8501/app/heroes/Alucard.png'},
   {'player_level': 5,
    'value': 270.0,
    'skillImg': 'http://localhost:8501/app/heroes/Alucard.png'}],
  'stat': {'id': 9,
   '25%': 270.0,
   '50%': 270.0,
   '75%': 270.0,
   'max': 270.0,
   'mean': 270.0,
   'min': 270.0,
   'std': 0.0}},
 {'variable': 'Argus',
  'heroImg': 'http://localhost:8501/app/heroes/Argus.png',
  'playerLvlData': [{'player_level': 1,
    'value': 180.0,
    'skillImg': 'http://localhost:8501/app/heroes/Argus.png'},
   {'player_level': 2,
    'value': 180.0,
    'skillImg': 'http://localhost:8501/app/heroes/Argus.png'},
   {'player_level': 3,
    'value': 180.0,
    'skillImg': 'http://localhost:8501/app/heroes/Argus.png'},
   {'player_level': 4,
    'value': 180.0,
    'skillImg': 'http://localhost:8501/app/heroes/Argus.png'},
   {'player_level': 5,
    'value': 180.0,
    'skillImg': 'http://localhost:8501/app/heroes/Argus.png'}],
  'stat': {'id': 9,
   '25%': 180.0,
   '50%': 180.0,
   '75%': 180.0,
   'max': 180.0,
   'mean': 180.0,
   'min': 180.0,
   'std': 0.0}},
 {'variable': 'Arlott',
  'heroImg': 'http://localhost:8501/app/heroes/Arlott.png',
  'playerLvlData': [{'player_level': 1,
    'value': 372.0,
    'skillImg': 'http://localhost:8501/app/heroes/Arlott.png'},
   {'player_level': 2,
    'value': 378.0,
    'skillImg': 'http://localhost:8501/app/heroes/Arlott.png'},
   {'player_level': 3,
    'value': 384.0,
    'skillImg': 'http://localhost:8501/app/heroes/Arlott.png'},
   {'player_level': 4,
    'value': 390.0,
    'skillImg': 'http://localhost:8501/app/heroes/Arlott.png'},
   {'player_level': 5,
    'value': 396.0,
    'skillImg': 'http://localhost:8501/app/heroes/Arlott.png'}],
  'stat': {'id': 9,
   '25%': 378.0,
   '50%': 384.0,
   '75%': 390.0,
   'max': 396.0,
   'mean': 384.0,
   'min': 372.0,
   'std': 9.49}},
 {'variable': 'Badang',
  'heroImg': 'http://localhost:8501/app/heroes/Badang.png',
  'playerLvlData': [{'player_level': 1,
    'value': 690.0,
    'skillImg': 'http://localhost:8501/app/heroes/Badang.png'},
   {'player_level': 2,
    'value': 705.0,
    'skillImg': 'http://localhost:8501/app/heroes/Badang.png'},
   {'player_level': 3,
    'value': 720.0,
    'skillImg': 'http://localhost:8501/app/heroes/Badang.png'},
   {'player_level': 4,
    'value': 733.0,
    'skillImg': 'http://localhost:8501/app/heroes/Badang.png'},
   {'player_level': 5,
    'value': 748.0,
    'skillImg': 'http://localhost:8501/app/heroes/Badang.png'}],
  'stat': {'id': 9,
   '25%': 705.0,
   '50%': 720.0,
   '75%': 733.0,
   'max': 748.0,
   'mean': 719.2,
   'min': 690.0,
   'std': 22.77}},
 {'variable': 'Balmond',
  'heroImg': 'http://localhost:8501/app/heroes/Balmond.png',
  'playerLvlData': [{'player_level': 1,
    'value': 221.0,
    'skillImg': 'http://localhost:8501/app/heroes/Balmond.png'},
   {'player_level': 2,
    'value': 226.0,
    'skillImg': 'http://localhost:8501/app/heroes/Balmond.png'},
   {'player_level': 3,
    'value': 231.0,
    'skillImg': 'http://localhost:8501/app/heroes/Balmond.png'},
   {'player_level': 4,
    'value': 236.0,
    'skillImg': 'http://localhost:8501/app/heroes/Balmond.png'},
   {'player_level': 5,
    'value': 241.0,
    'skillImg': 'http://localhost:8501/app/heroes/Balmond.png'}],
  'stat': {'id': 9,
   '25%': 226.0,
   '50%': 231.0,
   '75%': 236.0,
   'max': 241.0,
   'mean': 231.0,
   'min': 221.0,
   'std': 7.91}},
 {'variable': 'Bane',
  'heroImg': 'http://localhost:8501/app/heroes/Bane.png',
  'playerLvlData': [{'player_level': 1,
    'value': 387.0,
    'skillImg': 'http://localhost:8501/app/heroes/Bane.png'},
   {'player_level': 2,
    'value': 403.0,
    'skillImg': 'http://localhost:8501/app/heroes/Bane.png'},
   {'player_level': 3,
    'value': 420.0,
    'skillImg': 'http://localhost:8501/app/heroes/Bane.png'},
   {'player_level': 4,
    'value': 438.0,
    'skillImg': 'http://localhost:8501/app/heroes/Bane.png'},
   {'player_level': 5,
    'value': 456.0,
    'skillImg': 'http://localhost:8501/app/heroes/Bane.png'}],
  'stat': {'id': 9,
   '25%': 403.0,
   '50%': 420.0,
   '75%': 438.0,
   'max': 456.0,
   'mean': 420.8,
   'min': 387.0,
   'std': 27.36}},
 {'variable': 'Barrats',
  'heroImg': 'http://localhost:8501/app/heroes/Barrats.png',
  'playerLvlData': [{'player_level': 1,
    'value': 395.0,
    'skillImg': 'http://localhost:8501/app/heroes/Barrats.png'},
   {'player_level': 2,
    'value': 419.0,
    'skillImg': 'http://localhost:8501/app/heroes/Barrats.png'},
   {'player_level': 3,
    'value': 443.0,
    'skillImg': 'http://localhost:8501/app/heroes/Barrats.png'},
   {'player_level': 4,
    'value': 467.0,
    'skillImg': 'http://localhost:8501/app/heroes/Barrats.png'},
   {'player_level': 5,
    'value': 491.0,
    'skillImg': 'http://localhost:8501/app/heroes/Barrats.png'}],
  'stat': {'id': 9,
   '25%': 419.0,
   '50%': 443.0,
   '75%': 467.0,
   'max': 491.0,
   'mean': 443.0,
   'min': 395.0,
   'std': 37.95}},
 {'variable': 'Chou',
  'heroImg': 'http://localhost:8501/app/heroes/Chou.png',
  'playerLvlData': [{'player_level': 1,
    'value': 792.0,
    'skillImg': 'http://localhost:8501/app/heroes/Chou.png'},
   {'player_level': 2,
    'value': 813.0,
    'skillImg': 'http://localhost:8501/app/heroes/Chou.png'},
   {'player_level': 3,
    'value': 834.0,
    'skillImg': 'http://localhost:8501/app/heroes/Chou.png'},
   {'player_level': 4,
    'value': 855.0,
    'skillImg': 'http://localhost:8501/app/heroes/Chou.png'},
   {'player_level': 5,
    'value': 876.0,
    'skillImg': 'http://localhost:8501/app/heroes/Chou.png'}],
  'stat': {'id': 9,
   '25%': 813.0,
   '50%': 834.0,
   '75%': 855.0,
   'max': 876.0,
   'mean': 834.0,
   'min': 792.0,
   'std': 33.2}},
 {'variable': 'Dyrroth',
  'heroImg': 'http://localhost:8501/app/heroes/Dyrroth.png',
  'playerLvlData': [{'player_level': 1,
    'value': 432.0,
    'skillImg': 'http://localhost:8501/app/heroes/Dyrroth.png'},
   {'player_level': 2,
    'value': 441.6,
    'skillImg': 'http://localhost:8501/app/heroes/Dyrroth.png'},
   {'player_level': 3,
    'value': 451.2,
    'skillImg': 'http://localhost:8501/app/heroes/Dyrroth.png'},
   {'player_level': 4,
    'value': 460.8,
    'skillImg': 'http://localhost:8501/app/heroes/Dyrroth.png'},
   {'player_level': 5,
    'value': 472.0,
    'skillImg': 'http://localhost:8501/app/heroes/Dyrroth.png'}],
  'stat': {'id': 9,
   '25%': 441.6,
   '50%': 451.2,
   '75%': 460.8,
   'max': 472.0,
   'mean': 451.52,
   'min': 432.0,
   'std': 15.69}},
 {'variable': 'Freya',
  'heroImg': 'http://localhost:8501/app/heroes/Freya.png',
  'playerLvlData': [{'player_level': 1,
    'value': 150.0,
    'skillImg': 'http://localhost:8501/app/heroes/Freya.png'},
   {'player_level': 2,
    'value': 150.0,
    'skillImg': 'http://localhost:8501/app/heroes/Freya.png'},
   {'player_level': 3,
    'value': 150.0,
    'skillImg': 'http://localhost:8501/app/heroes/Freya.png'},
   {'player_level': 4,
    'value': 150.0,
    'skillImg': 'http://localhost:8501/app/heroes/Freya.png'},
   {'player_level': 5,
    'value': 150.0,
    'skillImg': 'http://localhost:8501/app/heroes/Freya.png'}],
  'stat': {'id': 9,
   '25%': 150.0,
   '50%': 150.0,
   '75%': 150.0,
   'max': 150.0,
   'mean': 150.0,
   'min': 150.0,
   'std': 0.0}},
 {'variable': 'Gatotkaca',
  'heroImg': 'http://localhost:8501/app/heroes/Gatotkaca.png',
  'playerLvlData': [{'player_level': 1,
    'value': 250.0,
    'skillImg': 'http://localhost:8501/app/heroes/Gatotkaca.png'},
   {'player_level': 2,
    'value': 250.0,
    'skillImg': 'http://localhost:8501/app/heroes/Gatotkaca.png'},
   {'player_level': 3,
    'value': 250.0,
    'skillImg': 'http://localhost:8501/app/heroes/Gatotkaca.png'},
   {'player_level': 4,
    'value': 250.0,
    'skillImg': 'http://localhost:8501/app/heroes/Gatotkaca.png'},
   {'player_level': 5,
    'value': 250.0,
    'skillImg': 'http://localhost:8501/app/heroes/Gatotkaca.png'}],
  'stat': {'id': 9,
   '25%': 250.0,
   '50%': 250.0,
   '75%': 250.0,
   'max': 250.0,
   'mean': 250.0,
   'min': 250.0,
   'std': 0.0}},
 {'variable': 'Grock',
  'heroImg': 'http://localhost:8501/app/heroes/Grock.png',
  'playerLvlData': [{'player_level': 1,
    'value': 300.0,
    'skillImg': 'http://localhost:8501/app/heroes/Grock.png'},
   {'player_level': 2,
    'value': 300.0,
    'skillImg': 'http://localhost:8501/app/heroes/Grock.png'},
   {'player_level': 3,
    'value': 300.0,
    'skillImg': 'http://localhost:8501/app/heroes/Grock.png'},
   {'player_level': 4,
    'value': 300.0,
    'skillImg': 'http://localhost:8501/app/heroes/Grock.png'},
   {'player_level': 5,
    'value': 300.0,
    'skillImg': 'http://localhost:8501/app/heroes/Grock.png'}],
  'stat': {'id': 9,
   '25%': 300.0,
   '50%': 300.0,
   '75%': 300.0,
   'max': 300.0,
   'mean': 300.0,
   'min': 300.0,
   'std': 0.0}},
 {'variable': 'Hilda',
  'heroImg': 'http://localhost:8501/app/heroes/Hilda.png',
  'playerLvlData': [{'player_level': 1,
    'value': 773.0,
    'skillImg': 'http://localhost:8501/app/heroes/Hilda.png'},
   {'player_level': 2,
    'value': 809.0,
    'skillImg': 'http://localhost:8501/app/heroes/Hilda.png'},
   {'player_level': 3,
    'value': 836.0,
    'skillImg': 'http://localhost:8501/app/heroes/Hilda.png'},
   {'player_level': 4,
    'value': 873.0,
    'skillImg': 'http://localhost:8501/app/heroes/Hilda.png'},
   {'player_level': 5,
    'value': 910.0,
    'skillImg': 'http://localhost:8501/app/heroes/Hilda.png'}],
  'stat': {'id': 9,
   '25%': 809.0,
   '50%': 836.0,
   '75%': 873.0,
   'max': 910.0,
   'mean': 840.2,
   'min': 773.0,
   'std': 53.51}},
 {'variable': 'Jawhead',
  'heroImg': 'http://localhost:8501/app/heroes/Jawhead.png',
  'playerLvlData': [{'player_level': 1,
    'value': 2040.0,
    'skillImg': 'http://localhost:8501/app/heroes/Jawhead.png'},
   {'player_level': 2,
    'value': 2076.0,
    'skillImg': 'http://localhost:8501/app/heroes/Jawhead.png'},
   {'player_level': 3,
    'value': 2100.0,
    'skillImg': 'http://localhost:8501/app/heroes/Jawhead.png'},
   {'player_level': 4,
    'value': 2124.0,
    'skillImg': 'http://localhost:8501/app/heroes/Jawhead.png'},
   {'player_level': 5,
    'value': 2160.0,
    'skillImg': 'http://localhost:8501/app/heroes/Jawhead.png'}],
  'stat': {'id': 9,
   '25%': 2076.0,
   '50%': 2100.0,
   '75%': 2124.0,
   'max': 2160.0,
   'mean': 2100.0,
   'min': 2040.0,
   'std': 45.69}},
 {'variable': 'Kaja',
  'heroImg': 'http://localhost:8501/app/heroes/Kaja.png',
  'playerLvlData': [{'player_level': 1,
    'value': 300.0,
    'skillImg': 'http://localhost:8501/app/heroes/Kaja.png'},
   {'player_level': 2,
    'value': 300.0,
    'skillImg': 'http://localhost:8501/app/heroes/Kaja.png'},
   {'player_level': 3,
    'value': 300.0,
    'skillImg': 'http://localhost:8501/app/heroes/Kaja.png'},
   {'player_level': 4,
    'value': 300.0,
    'skillImg': 'http://localhost:8501/app/heroes/Kaja.png'},
   {'player_level': 5,
    'value': 300.0,
    'skillImg': 'http://localhost:8501/app/heroes/Kaja.png'}],
  'stat': {'id': 9,
   '25%': 300.0,
   '50%': 300.0,
   '75%': 300.0,
   'max': 300.0,
   'mean': 300.0,
   'min': 300.0,
   'std': 0.0}},
 {'variable': 'Lapu-Lapu (state 1)',
  'heroImg': 'http://localhost:8501/app/heroes/Lapu-Lapu (state 1).png',
  'playerLvlData': [{'player_level': 1,
    'value': 259.0,
    'skillImg': 'http://localhost:8501/app/heroes/Lapu-Lapu (state 1).png'},
   {'player_level': 2,
    'value': 263.0,
    'skillImg': 'http://localhost:8501/app/heroes/Lapu-Lapu (state 1).png'},
   {'player_level': 3,
    'value': 267.0,
    'skillImg': 'http://localhost:8501/app/heroes/Lapu-Lapu (state 1).png'},
   {'player_level': 4,
    'value': 271.0,
    'skillImg': 'http://localhost:8501/app/heroes/Lapu-Lapu (state 1).png'},
   {'player_level': 5,
    'value': 276.0,
    'skillImg': 'http://localhost:8501/app/heroes/Lapu-Lapu (state 1).png'}],
  'stat': {'id': 9,
   '25%': 263.0,
   '50%': 267.0,
   '75%': 271.0,
   'max': 276.0,
   'mean': 267.2,
   'min': 259.0,
   'std': 6.65}},
 {'variable': 'Lapu-Lapu (state 2)',
  'heroImg': 'http://localhost:8501/app/heroes/Lapu-Lapu (state 2).png',
  'playerLvlData': [{'player_level': 1,
    'value': 140.0,
    'skillImg': 'http://localhost:8501/app/heroes/Lapu-Lapu (state 2).png'},
   {'player_level': 2,
    'value': 140.0,
    'skillImg': 'http://localhost:8501/app/heroes/Lapu-Lapu (state 2).png'},
   {'player_level': 3,
    'value': 140.0,
    'skillImg': 'http://localhost:8501/app/heroes/Lapu-Lapu (state 2).png'},
   {'player_level': 4,
    'value': 283.0,
    'skillImg': 'http://localhost:8501/app/heroes/Lapu-Lapu (state 2).png'},
   {'player_level': 5,
    'value': 292.0,
    'skillImg': 'http://localhost:8501/app/heroes/Lapu-Lapu (state 2).png'}],
  'stat': {'id': 9,
   '25%': 140.0,
   '50%': 140.0,
   '75%': 283.0,
   'max': 292.0,
   'mean': 199.0,
   'min': 140.0,
   'std': 80.85}},
 {'variable': 'Leomord (state 1)',
  'heroImg': 'http://localhost:8501/app/heroes/Leomord (state 1).png',
  'playerLvlData': [{'player_level': 1,
    'value': 489.0,
    'skillImg': 'http://localhost:8501/app/heroes/Leomord (state 1).png'},
   {'player_level': 2,
    'value': 512.0,
    'skillImg': 'http://localhost:8501/app/heroes/Leomord (state 1).png'},
   {'player_level': 3,
    'value': 535.0,
    'skillImg': 'http://localhost:8501/app/heroes/Leomord (state 1).png'},
   {'player_level': 4,
    'value': 558.0,
    'skillImg': 'http://localhost:8501/app/heroes/Leomord (state 1).png'},
   {'player_level': 5,
    'value': 583.0,
    'skillImg': 'http://localhost:8501/app/heroes/Leomord (state 1).png'}],
  'stat': {'id': 9,
   '25%': 512.0,
   '50%': 535.0,
   '75%': 558.0,
   'max': 583.0,
   'mean': 535.4,
   'min': 489.0,
   'std': 37.0}},
 {'variable': 'Leomord (state 2)',
  'heroImg': 'http://localhost:8501/app/heroes/Leomord (state 2).png',
  'playerLvlData': [{'player_level': 1,
    'value': 500.0,
    'skillImg': 'http://localhost:8501/app/heroes/Leomord (state 2).png'},
   {'player_level': 2,
    'value': 500.0,
    'skillImg': 'http://localhost:8501/app/heroes/Leomord (state 2).png'},
   {'player_level': 3,
    'value': 500.0,
    'skillImg': 'http://localhost:8501/app/heroes/Leomord (state 2).png'},
   {'player_level': 4,
    'value': 687.0,
    'skillImg': 'http://localhost:8501/app/heroes/Leomord (state 2).png'},
   {'player_level': 5,
    'value': 700.0,
    'skillImg': 'http://localhost:8501/app/heroes/Leomord (state 2).png'}],
  'stat': {'id': 9,
   '25%': 500.0,
   '50%': 500.0,
   '75%': 687.0,
   'max': 700.0,
   'mean': 577.4,
   'min': 500.0,
   'std': 106.08}},
 {'variable': 'Martis',
  'heroImg': 'http://localhost:8501/app/heroes/Martis.png',
  'playerLvlData': [{'player_level': 1,
    'value': 350.0,
    'skillImg': 'http://localhost:8501/app/heroes/Martis.png'},
   {'player_level': 2,
    'value': 350.0,
    'skillImg': 'http://localhost:8501/app/heroes/Martis.png'},
   {'player_level': 3,
    'value': 350.0,
    'skillImg': 'http://localhost:8501/app/heroes/Martis.png'},
   {'player_level': 4,
    'value': 350.0,
    'skillImg': 'http://localhost:8501/app/heroes/Martis.png'},
   {'player_level': 5,
    'value': 350.0,
    'skillImg': 'http://localhost:8501/app/heroes/Martis.png'}],
  'stat': {'id': 9,
   '25%': 350.0,
   '50%': 350.0,
   '75%': 350.0,
   'max': 350.0,
   'mean': 350.0,
   'min': 350.0,
   'std': 0.0}},
 {'variable': 'Masha',
  'heroImg': 'http://localhost:8501/app/heroes/Masha.png',
  'playerLvlData': [{'player_level': 1,
    'value': 0.0,
    'skillImg': 'http://localhost:8501/app/heroes/Masha.png'},
   {'player_level': 2,
    'value': 0.0,
    'skillImg': 'http://localhost:8501/app/heroes/Masha.png'},
   {'player_level': 3,
    'value': 0.0,
    'skillImg': 'http://localhost:8501/app/heroes/Masha.png'},
   {'player_level': 4,
    'value': 0.0,
    'skillImg': 'http://localhost:8501/app/heroes/Masha.png'},
   {'player_level': 5,
    'value': 0.0,
    'skillImg': 'http://localhost:8501/app/heroes/Masha.png'}],
  'stat': {'id': 9,
   '25%': 0.0,
   '50%': 0.0,
   '75%': 0.0,
   'max': 0.0,
   'mean': 0.0,
   'min': 0.0,
   'std': 0.0}},
 {'variable': 'Minsitthar',
  'heroImg': 'http://localhost:8501/app/heroes/Minsitthar.png',
  'playerLvlData': [{'player_level': 1,
    'value': 210.0,
    'skillImg': 'http://localhost:8501/app/heroes/Minsitthar.png'},
   {'player_level': 2,
    'value': 210.0,
    'skillImg': 'http://localhost:8501/app/heroes/Minsitthar.png'},
   {'player_level': 3,
    'value': 210.0,
    'skillImg': 'http://localhost:8501/app/heroes/Minsitthar.png'},
   {'player_level': 4,
    'value': 210.0,
    'skillImg': 'http://localhost:8501/app/heroes/Minsitthar.png'},
   {'player_level': 5,
    'value': 210.0,
    'skillImg': 'http://localhost:8501/app/heroes/Minsitthar.png'}],
  'stat': {'id': 9,
   '25%': 210.0,
   '50%': 210.0,
   '75%': 210.0,
   'max': 210.0,
   'mean': 210.0,
   'min': 210.0,
   'std': 0.0}},
 {'variable': 'Phoveus',
  'heroImg': 'http://localhost:8501/app/heroes/Phoveus.png',
  'playerLvlData': [{'player_level': 1,
    'value': 537.0,
    'skillImg': 'http://localhost:8501/app/heroes/Phoveus.png'},
   {'player_level': 2,
    'value': 549.0,
    'skillImg': 'http://localhost:8501/app/heroes/Phoveus.png'},
   {'player_level': 3,
    'value': 564.0,
    'skillImg': 'http://localhost:8501/app/heroes/Phoveus.png'},
   {'player_level': 4,
    'value': 579.0,
    'skillImg': 'http://localhost:8501/app/heroes/Phoveus.png'},
   {'player_level': 5,
    'value': 592.0,
    'skillImg': 'http://localhost:8501/app/heroes/Phoveus.png'}],
  'stat': {'id': 9,
   '25%': 549.0,
   '50%': 564.0,
   '75%': 579.0,
   'max': 592.0,
   'mean': 564.2,
   'min': 537.0,
   'std': 22.15}},
 {'variable': 'Roger (state 1)',
  'heroImg': 'http://localhost:8501/app/heroes/Roger (state 1).png',
  'playerLvlData': [{'player_level': 1,
    'value': 410.0,
    'skillImg': 'http://localhost:8501/app/heroes/Roger (state 1).png'},
   {'player_level': 2,
    'value': 426.0,
    'skillImg': 'http://localhost:8501/app/heroes/Roger (state 1).png'},
   {'player_level': 3,
    'value': 443.0,
    'skillImg': 'http://localhost:8501/app/heroes/Roger (state 1).png'},
   {'player_level': 4,
    'value': 460.0,
    'skillImg': 'http://localhost:8501/app/heroes/Roger (state 1).png'},
   {'player_level': 5,
    'value': 477.0,
    'skillImg': 'http://localhost:8501/app/heroes/Roger (state 1).png'}],
  'stat': {'id': 9,
   '25%': 426.0,
   '50%': 443.0,
   '75%': 460.0,
   'max': 477.0,
   'mean': 443.2,
   'min': 410.0,
   'std': 26.57}},
 {'variable': 'Roger (state 2)',
  'heroImg': 'http://localhost:8501/app/heroes/Roger (state 2).png',
  'playerLvlData': [{'player_level': 1,
    'value': 410.0,
    'skillImg': 'http://localhost:8501/app/heroes/Roger (state 2).png'},
   {'player_level': 2,
    'value': 426.0,
    'skillImg': 'http://localhost:8501/app/heroes/Roger (state 2).png'},
   {'player_level': 3,
    'value': 443.0,
    'skillImg': 'http://localhost:8501/app/heroes/Roger (state 2).png'},
   {'player_level': 4,
    'value': 460.0,
    'skillImg': 'http://localhost:8501/app/heroes/Roger (state 2).png'},
   {'player_level': 5,
    'value': 477.0,
    'skillImg': 'http://localhost:8501/app/heroes/Roger (state 2).png'}],
  'stat': {'id': 9,
   '25%': 426.0,
   '50%': 443.0,
   '75%': 460.0,
   'max': 477.0,
   'mean': 443.2,
   'min': 410.0,
   'std': 26.57}},
 {'variable': 'Ruby',
  'heroImg': 'http://localhost:8501/app/heroes/Ruby.png',
  'playerLvlData': [{'player_level': 1,
    'value': 360.0,
    'skillImg': 'http://localhost:8501/app/heroes/Ruby.png'},
   {'player_level': 2,
    'value': 368.0,
    'skillImg': 'http://localhost:8501/app/heroes/Ruby.png'},
   {'player_level': 3,
    'value': 378.0,
    'skillImg': 'http://localhost:8501/app/heroes/Ruby.png'},
   {'player_level': 4,
    'value': 388.0,
    'skillImg': 'http://localhost:8501/app/heroes/Ruby.png'},
   {'player_level': 5,
    'value': 398.0,
    'skillImg': 'http://localhost:8501/app/heroes/Ruby.png'}],
  'stat': {'id': 9,
   '25%': 368.0,
   '50%': 378.0,
   '75%': 388.0,
   'max': 398.0,
   'mean': 378.4,
   'min': 360.0,
   'std': 15.19}},
 {'variable': 'Silvanna',
  'heroImg': 'http://localhost:8501/app/heroes/Silvanna.png',
  'playerLvlData': [{'player_level': 1,
    'value': 250.0,
    'skillImg': 'http://localhost:8501/app/heroes/Silvanna.png'},
   {'player_level': 2,
    'value': 250.0,
    'skillImg': 'http://localhost:8501/app/heroes/Silvanna.png'},
   {'player_level': 3,
    'value': 250.0,
    'skillImg': 'http://localhost:8501/app/heroes/Silvanna.png'},
   {'player_level': 4,
    'value': 250.0,
    'skillImg': 'http://localhost:8501/app/heroes/Silvanna.png'},
   {'player_level': 5,
    'value': 250.0,
    'skillImg': 'http://localhost:8501/app/heroes/Silvanna.png'}],
  'stat': {'id': 9,
   '25%': 250.0,
   '50%': 250.0,
   '75%': 250.0,
   'max': 250.0,
   'mean': 250.0,
   'min': 250.0,
   'std': 0.0}},
 {'variable': 'Sun',
  'heroImg': 'http://localhost:8501/app/heroes/Sun.png',
  'playerLvlData': [{'player_level': 1,
    'value': 245.0,
    'skillImg': 'http://localhost:8501/app/heroes/Sun.png'},
   {'player_level': 2,
    'value': 248.0,
    'skillImg': 'http://localhost:8501/app/heroes/Sun.png'},
   {'player_level': 3,
    'value': 250.0,
    'skillImg': 'http://localhost:8501/app/heroes/Sun.png'},
   {'player_level': 4,
    'value': 253.0,
    'skillImg': 'http://localhost:8501/app/heroes/Sun.png'},
   {'player_level': 5,
    'value': 256.0,
    'skillImg': 'http://localhost:8501/app/heroes/Sun.png'}],
  'stat': {'id': 9,
   '25%': 248.0,
   '50%': 250.0,
   '75%': 253.0,
   'max': 256.0,
   'mean': 250.4,
   'min': 245.0,
   'std': 4.28}},
 {'variable': 'Thamuz',
  'heroImg': 'http://localhost:8501/app/heroes/Thamuz.png',
  'playerLvlData': [{'player_level': 1,
    'value': 389.0,
    'skillImg': 'http://localhost:8501/app/heroes/Thamuz.png'},
   {'player_level': 2,
    'value': 394.0,
    'skillImg': 'http://localhost:8501/app/heroes/Thamuz.png'},
   {'player_level': 3,
    'value': 398.0,
    'skillImg': 'http://localhost:8501/app/heroes/Thamuz.png'},
   {'player_level': 4,
    'value': 403.0,
    'skillImg': 'http://localhost:8501/app/heroes/Thamuz.png'},
   {'player_level': 5,
    'value': 409.0,
    'skillImg': 'http://localhost:8501/app/heroes/Thamuz.png'}],
  'stat': {'id': 9,
   '25%': 394.0,
   '50%': 398.0,
   '75%': 403.0,
   'max': 409.0,
   'mean': 398.6,
   'min': 389.0,
   'std': 7.77}},
 {'variable': 'Zilong',
  'heroImg': 'http://localhost:8501/app/heroes/Zilong.png',
  'playerLvlData': [{'player_level': 1,
    'value': 348.0,
    'skillImg': 'http://localhost:8501/app/heroes/Zilong.png'},
   {'player_level': 2,
    'value': 353.0,
    'skillImg': 'http://localhost:8501/app/heroes/Zilong.png'},
   {'player_level': 3,
    'value': 358.0,
    'skillImg': 'http://localhost:8501/app/heroes/Zilong.png'},
   {'player_level': 4,
    'value': 363.0,
    'skillImg': 'http://localhost:8501/app/heroes/Zilong.png'},
   {'player_level': 5,
    'value': 369.0,
    'skillImg': 'http://localhost:8501/app/heroes/Zilong.png'}],
  'stat': {'id': 9,
   '25%': 353.0,
   '50%': 358.0,
   '75%': 363.0,
   'max': 369.0,
   'mean': 358.2,
   'min': 348.0,
   'std': 8.23}}]
proportional_data = [{"skill_segment": "AOE", "label": "Alpha", "id": "Alpha", "value": 7760.0}, {"skill_segment": "AOE", "label": "Suyou", "id": "Suyou", "value": 2196.0}]
chartType = st.radio(label="label", options=["pie", "bar"])
image_chart_damage(damageStat="mean", proportionData=proportional_data, chartType=chartType, data=data)